SETPGID(2)

NAME
setpgid, setpgrp - set process group

SYNOPSIS
#include <unistd.h>
int
setpgid(pid_tpid, pid_tpgrp);
int
setpgrp(pid_tpid, pid_tpgrp);

DESCRIPTION
Setpgid() sets the process group of the specified process pid to the specified pgrp. If pid is zero, then the call applies to the current process.

If the invoker is not the super-user, then the affected process must have the same effective user-id as the invoker or be a descendant of the invoking process.

RETURN VALUES
Setpgid() returns 0 when the operation was successful. If the request failed, -1 is returned and the global variable errno indicates the reason.

ERRORS
Setpgid() will fail and the process group will not be altered if:

[ESRCH]
    The requested process does not exist.

[EPERM]
    The effective user ID of the requested process is different from that of the caller and the process is not a descendent of the calling process.

SEE ALSO
getpgrp(2)

STANDARDS
The setpgid() function call is expected to conform to p1003.1-90.

COMPATIBILITY
Setpgrp() is identical to setpgid(), and is retained for calling convention compatibility with historical versions of BSD.